---
- name: "Enable and start Redis"
  register: "install_redis__service_status"
  changed_when: "install_redis__service_status.state != 'started'"
  throttle: 1
  ansible.builtin.service:
    name: "redis-server"
    state: "started"
    enabled: true
    daemon_reload: true

- name: "Restart Redis"
  register: "install_redis__service_status"
  changed_when: "install_redis__service_status.state != 'restarted'"
  throttle: 1
  ansible.builtin.service:
    name: "redis-server"
    state: "restarted"

- name: "Enable and start Sentinel"
  register: "install_redis__sentinel_service_status"
  changed_when: "install_redis__sentinel_service_status.state != 'started'"
  throttle: 1
  ansible.builtin.service:
    name: "redis-sentinel"
    state: "started"
    enabled: true
    daemon_reload: true

- name: "Restart Sentinel"
  register: "install_redis__sentinel_service_status"
  changed_when: "install_redis__sentinel_service_status.state != 'restarted'"
  throttle: 1
  ansible.builtin.service:
    name: "redis-sentinel"
    state: "restarted"
